Regulatory Filings Layer API (Production)

Regulatory Filings Layer API

v1.1OAS 3.0

Regulatory and offering documents: IPOs by market, IPO details, and prospectus documents.

API Base URL
  • Server 1:https://api.argaam.com

    Argaam API Gateway (Production)

Security
ApiKeyAuth (apiKey)

An API key is a token that you provide when making API calls. Include the token in a header parameter called apikey.

Example: apikey: 123

ApiKeyAuthQuery (apiKey)

An API key is a token that you provide when making API calls. Include the token in a query parameter called apikey.

Example: ?apikey=123

Additional Information

List IPOs in a market.

Returns the IPO calendar for the requested market: upcoming,
active subscription, and recently listed offerings.

Example

GET /api/v1.1/ipos/markets/1
get
https://api.argaam.com/api/v1.1/ipos/markets/{marketId}

Path Parameters

marketIdinteger(int32)required

Market ID.

Example:3

Response

200

Success

get/api/v1.1/ipos/markets/{marketId}
 
200

Get details for a market

Returns the details for the market identified by marketId.

get
https://api.argaam.com/api/v1.1/ipos/markets/{marketId}/companies/{stockSymbol}/ipos/{ipoId}/details

Path Parameters

marketIdinteger(int32)required

Numeric market identifier (e.g. 1 = Tadawul / Saudi main market). Use GET /api/v1.1/markets to list valid values.

Example:3

stockSymbolstringrequired

Tadawul stock symbol of the company, e.g. 2222 (Saudi Aramco).

ipoIdinteger(int32)required

IPO identifier, scoped to the given market and company.

Response

200

Success

get/api/v1.1/ipos/markets/{marketId}/companies/{stockSymbol}/ipos/{ipoId}/details
 
200